# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

########################################
###  Preset for TIZEN HEADED COMMON  ###
########################################
%package sub1-Preset_boards-COMMON
Summary:	COMMON Selection for HAL and Feature
Requires:	%{name}-sub2-Preset_boards-COMMON-System
Requires:	%{name}-sub2-Preset_boards-COMMON-System_Device
Suggests:	%{name}-sub2-Preset_boards-COMMON-Audio
Suggests:	%{name}-sub2-Preset_boards-COMMON-Audio_Recording
Suggests:	%{name}-sub2-Preset_boards-COMMON-GPS
Suggests:	%{name}-sub2-Preset_boards-COMMON-Codec
Suggests:	%{name}-sub2-Preset_boards-COMMON-Camera_Common
Suggests:	%{name}-sub2-Preset_boards-COMMON-Camera
Suggests:	%{name}-sub2-Preset_boards-COMMON-Camera_Headless
Suggests:	%{name}-sub2-Preset_boards-COMMON-Display
Suggests:	%{name}-sub2-Preset_boards-COMMON-Display_Headless
Suggests:	%{name}-sub2-Preset_boards-COMMON-Wifi
Suggests:	%{name}-sub2-Preset_boards-COMMON-WifiDirect
Suggests:	%{name}-sub2-Preset_boards-COMMON-Bluetooth
Suggests:	%{name}-sub2-Preset_boards-COMMON-Bluetooth_CallAudio
Suggests:	%{name}-sub2-Preset_boards-COMMON-BLE
Suggests:	%{name}-sub2-Preset_boards-COMMON-NFC
Suggests:	%{name}-sub2-Preset_boards-COMMON-Telephony
Suggests:	%{name}-sub2-Preset_boards-COMMON-Feedback
Suggests:	%{name}-sub2-Preset_boards-COMMON-Sensor
Suggests:	%{name}-sub2-Preset_boards-COMMON-DALi
Suggests:	%{name}-sub2-Preset_boards-COMMON-DALi2
Suggests:	%{name}-sub2-Preset_boards-COMMON-EFL
Suggests:	%{name}-sub2-Preset_boards-COMMON-IM
Suggests:	%{name}-sub2-Preset_boards-COMMON-Power
Suggests:	%{name}-sub2-Preset_boards-COMMON-UserAwareness

Conflicts:	%{name}-sub1-Preset_boards-TM1
Conflicts:	%{name}-sub1-Preset_boards-TM2
Conflicts:	%{name}-sub1-Preset_boards-ARTIK530
Conflicts:	%{name}-sub1-Preset_boards-RPI3

%description sub1-Preset_boards-COMMON
Firstly select HALs and Feature to add to your image.
%files sub1-Preset_boards-COMMON

### COMMON-System ###
%package sub2-Preset_boards-COMMON-System
Summary:	COMMON_System
Requires:	model-config-default
Requires:	system-plugin-feature-session-bind
Requires:	system-plugin-feature-namespace

%description sub2-Preset_boards-COMMON-System
Packages for System HAL and Feature. They are mandatory.
%files sub2-Preset_boards-COMMON-System


### COMMON-System_Device ###
%package sub2-Preset_boards-COMMON-System_Device
Summary:	COMMON_Deviced Plugin
Requires:	%{name}-sub2-domain_API-System-Device
Requires:	deviced-plugin-profile-iot

%description sub2-Preset_boards-COMMON-System_Device
Packages for Deviced HAL and Feature.
%files sub2-Preset_boards-COMMON-System_Device

### COMMON-Audio ###
%package sub2-Preset_boards-COMMON-Audio
Summary:	COMMON_Audio
Suggests:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Suggests:	%{name}-sub2-domain_API-Multimedia-Player
Suggests:	%{name}-sub2-domain_API-Multimedia-WAV_Player
Suggests:	%{name}-sub2-domain_API-Multimedia-Tone_Player
Suggests:	%{name}-sub2-domain_API-Multimedia-OpenAL
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer
Suggests:	%{name}-sub2-domain_API-Multimedia-Sound_Pool

%description sub2-Preset_boards-COMMON-Audio
Packages of Audio HAL and Feature.
If you select Bluetooth,dd you can select pulseaudio-modules-bluetooth.
%files sub2-Preset_boards-COMMON-Audio

### COMMON-Audio_Recording ###
%package sub2-Preset_boards-COMMON-Audio_Recording
Summary:	COMMON_AudioRecording
Requires:	%{name}-sub2-Preset_boards-COMMON-Audio
Suggests:	%{name}-sub2-domain_API-Multimedia-Recorder
Suggests:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer

%description sub2-Preset_boards-COMMON-Audio_Recording
Packages of Audio HAL and Feature.

%files sub2-Preset_boards-COMMON-Audio_Recording

### COMMON-GPS ###
%package sub2-Preset_boards-COMMON-GPS
Summary:	COMMON_GPS
Requires:	%{name}-sub2-domain_API-Location-Location_Manager

%description sub2-Preset_boards-COMMON-GPS
Packages of GPS HAL and Feature.
%files sub2-Preset_boards-COMMON-GPS


### COMMON-Codec ###
%package sub2-Preset_boards-COMMON-Codec
Summary:	COMMON_Codec
Suggests:	%{name}-sub2-Preset_boards-COMMON-Display
Suggests:	%{name}-sub2-Preset_boards-COMMON-Display_Headless
%ifarch amv7l
Requires:	gst-omx
%endif

Suggests:	%{name}-sub2-domain_API-Multimedia-Player
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Codec
Suggests:	%{name}-sub2-domain_API-Multimedia-Camera
Suggests:	%{name}-sub2-domain_API-Multimedia-Recorder
Suggests:	%{name}-sub2-domain_API-Multimedia-Screen_Mirroring

%description sub2-Preset_boards-COMMON-Codec
Packages of Codec HAL and Feature.
If you want to use hardware acceleration, select the required feature.
%files sub2-Preset_boards-COMMON-Codec

### COMMON-Camera_Common ###
%package sub2-Preset_boards-COMMON-Camera_Common
Summary:	COMMON_Camera(Common)
Requires:	%{name}-sub2-domain_API-Multimedia-Camera
Requires:	gst-plugins-good
Requires:	gst-plugins-tizen

%description sub2-Preset_boards-COMMON-Camera_Common
Packages of Camera HAL and Feature (Common).
(known issue: The preview and capture could be failed with some web cameras.)
%files sub2-Preset_boards-COMMON-Camera_Common

### COMMON-Camera ###
%package sub2-Preset_boards-COMMON-Camera
Summary:	COMMON_Camera
Requires:	%{name}-sub2-Preset_boards-COMMON-Camera_Common
Requires:	%{name}-sub2-Preset_boards-COMMON-Display

Conflicts:	%{name}-sub2-Preset_boards-COMMON-Camera_Headless

%description sub2-Preset_boards-COMMON-Camera
Packages of Camera HAL and Feature for COMMON.
(known issue: The preview and capture could be failed with some web cameras.)
%files sub2-Preset_boards-COMMON-Camera

### COMMON-Camera_Headless ###
%package sub2-Preset_boards-COMMON-Camera_Headless
Summary:	COMMON_Camera(Headless)
Requires:	%{name}-sub2-Preset_boards-COMMON-Camera_Common
Requires:	%{name}-sub2-Preset_boards-COMMON-Display_Headless

Conflicts:	%{name}-sub2-Preset_boards-COMMON-Camera

%description sub2-Preset_boards-COMMON-Camera_Headless
Packages of Camera HAL and Feature (Headless).
(known issue: camera preview and capture could be failed.)
%files sub2-Preset_boards-COMMON-Camera_Headless

### COMMON-Display ###
%package sub2-Preset_boards-COMMON-Display
Summary:	COMMON_Display
Requires:	%{name}-sub2-domain_API-UI-Display_Server
Requires:	e-tizen-data-profile_common
Requires:	coregl

Conflicts:	%{name}-sub2-Preset_boards-COMMON-Display_Headless

%description sub2-Preset_boards-COMMON-Display
Packages of Display HAL and Feature.
%files sub2-Preset_boards-COMMON-Display
%posttrans sub2-Preset_boards-COMMON-Display
%tizen_feature tizen.org/feature/graphics.acceleration true
%tizen_feature tizen.org/feature/multi_point_touch.pinch_zoom true
%tizen_feature tizen.org/feature/opengles true
%tizen_feature tizen.org/feature/opengles.version.1_1 true
%tizen_feature tizen.org/feature/opengles.version.2_0 true
%tizen_feature tizen.org/feature/opengles.version.3_0 true
%tizen_feature tizen.org/feature/opengles.version.3_1 true
%tizen_feature tizen.org/feature/opengles.version.3_2 true
%tizen_feature tizen.org/feature/vulkan.version.1_0 true
%tizen_feature tizen.org/feature/screen true

### COMMON-Display_Headless ###
%package sub2-Preset_boards-COMMON-Display_Headless
Summary:	COMMON_Display(Headless)
Requires:	%{name}-sub2-domain_API-UI-Display_Server_Headless

Conflicts:	%{name}-sub2-Preset_boards-COMMON-Display

%description sub2-Preset_boards-COMMON-Display_Headless
Packages of Display HAL and Feature (Headless).
%files sub2-Preset_boards-COMMON-Display_Headless
%posttrans sub2-Preset_boards-COMMON-Display_Headless
%tizen_feature tizen.org/feature/graphics.acceleration false
%tizen_feature tizen.org/feature/multi_point_touch.pinch_zoom false
%tizen_feature tizen.org/feature/opengles false
%tizen_feature tizen.org/feature/opengles.version.1_1 false
%tizen_feature tizen.org/feature/opengles.version.2_0 false
%tizen_feature tizen.org/feature/opengles.version.3_0 false
%tizen_feature tizen.org/feature/opengles.version.3_1 false
%tizen_feature tizen.org/feature/opengles.version.3_2 false
%tizen_feature tizen.org/feature/vulkan.version.1_0 false
%tizen_feature tizen.org/feature/screen false

### COMMON-Wifi ###
%package sub2-Preset_boards-COMMON-Wifi
Summary:	COMMON_Wifi
Requires:	%{name}-sub2-domain_API-Network-WiFi_Manager
Requires:	wpa_supplicant-profile_common
Suggests:	net-config-plugin-headed

%description sub2-Preset_boards-COMMON-Wifi
Packages of Wifi HAL and Feature.
If you enable the UI, you can select net-config-plugin-headed.
%files sub2-Preset_boards-COMMON-Wifi

### COMMON-WifiDirect ###
%package sub2-Preset_boards-COMMON-WifiDirect
Summary:	COMMON_WifiDirect
Requires:	%{name}-sub2-domain_API-Network-WiFi_Direct
Requires:	%{name}-sub2-Preset_boards-COMMON-Wifi
Requires:	wifi-direct-manager-profile_common

%description sub2-Preset_boards-COMMON-WifiDirect
Packages of WifiDirect HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-WifiDirect

### COMMON-Bluetooth ###
%package sub2-Preset_boards-COMMON-Bluetooth
Summary:	COMMON_Bluetooth
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_BREDR
Requires:	bluetooth-frwk-profile_common
Requires:	bluetooth-tools-profile_common
Requires:	bluez-profile_common
Suggests:	bluez-extension-bredr
Suggests:	bluetooth-frwk-plugin-headed
Suggests:	org.tizen.bt-syspopup
Suggests:	org.tizen.bt-syspopup-profile_common
Suggests:	bluez-plugin-headless

%description sub2-Preset_boards-COMMON-Bluetooth
Packages of Bluetooth HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Bluetooth

### COMMON-Bluetooth_CallAudio ###
%package sub2-Preset_boards-COMMON-Bluetooth_CallAudio
Summary:	COMMON_Bluetooth Call Audio
Requires:	%{name}-sub2-Preset_boards-COMMON-Bluetooth
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Call_Audio
Requires:	bluetooth-agent-hfp_ag

%description sub2-Preset_boards-COMMON-Bluetooth_CallAudio
Packages of Bluetooth HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Bluetooth_CallAudio

### COMMON-BLE ###
%package sub2-Preset_boards-COMMON-BLE
Summary:	COMMON_BLE
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_LE
Requires:	bluetooth-frwk-profile_common
Requires:	bluetooth-tools-profile_common
Requires:	bluez-profile_common
Suggests:	bluetooth-frwk-plugin-headed
Suggests:	org.tizen.bt-syspopup
Suggests:	org.tizen.bt-syspopup-profile_common

%description sub2-Preset_boards-COMMON-BLE
Packages of BLE HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-BLE

### COMMON-NFC ###
%package sub2-Preset_boards-COMMON-NFC
Summary:	COMMON_NFC (Not Implemented)

%description sub2-Preset_boards-COMMON-NFC
Packages of NFC HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-NFC

### COMMON-Telephony ###
%package sub2-Preset_boards-COMMON-Telephony
Summary:	COMMON_Telephony (Not Implemented)

%description sub2-Preset_boards-COMMON-Telephony
Packages of Telephony HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Telephony

### COMMON-Feedback ###
%package sub2-Preset_boards-COMMON-Feedback
Summary:	COMMON_Feedback
Requires:	%{name}-sub2-domain_API-System-Feedback
Requires:	%{name}-sub2-Preset_boards-COMMON-Audio
Requires:	svi-data-profile_common

%description sub2-Preset_boards-COMMON-Feedback
Packages of Feedback HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Feedback

### COMMON-Sensor ###
%package sub2-Preset_boards-COMMON-Sensor
Summary:	COMMON_Sensor (Not Implemented)

%description sub2-Preset_boards-COMMON-Sensor
Packages of Sensor HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Sensor

### COMMON-DALi ###
%package sub2-Preset_boards-COMMON-DALi
Summary:	COMMON_DALi
Requires:	%{name}-sub2-domain_API-UI-DALi
Requires:	%{name}-sub2-Preset_boards-COMMON-Display
Requires:	dali-extension-video-player-plugin
Requires:	dali-extension-key-extension
Requires:	dali-extension
Requires:	dali-toolkit-resources_720x1280

%description sub2-Preset_boards-COMMON-DALi
Packages of DALi HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-DALi

### COMMON-DALi2 ###
%package sub2-Preset_boards-COMMON-DALi2
Summary:	COMMON_DALi2
Requires:	%{name}-sub2-domain_API-UI-DALi2
Requires:	%{name}-sub2-Preset_boards-COMMON-Display
Requires:	dali2-extension-video-player-plugin
Requires:	dali2-extension-key-extension
Requires:	dali2-extension-vector-animation-renderer-plugin
Requires:	dali2-extension-vector-image-renderer-plugin
Requires:	dali2-extension-web-engine-chromium-plugin
Requires:	dali2-extension-camera-player-plugin
Requires:	dali2-extension
Requires:	dali2-toolkit-resources_720x1280

%description sub2-Preset_boards-COMMON-DALi2
Packages of DALi2 HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-DALi2

### COMMON-EFL ###
%package sub2-Preset_boards-COMMON-EFL
Summary:	COMMON_EFL
Requires:	%{name}-sub2-Preset_boards-COMMON-Display
Requires:	%{name}-sub2-domain_API-UI-EFL_NativeUIToolkit
Requires:	efl-misc-profile_common
Requires:	efl-modules-profile_common
Requires:	efl-theme-tizen-common
Requires:	elementary-tizen
Suggests:	download-fonts-service


%description sub2-Preset_boards-COMMON-EFL
Packages of EFL HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-EFL

### COMMON-IM ###
%package sub2-Preset_boards-COMMON-IM
Summary:	COMMON_IM
Requires:	%{name}-sub2-domain_API-UIX-Input_Method
Requires:	isf-config-common
Requires:	ise-default-profile_common
Requires:	org.tizen.inputmethod-setting-profile_common
Requires:	%{name}-sub2-Preset_boards-COMMON-EFL

%description sub2-Preset_boards-COMMON-IM
Packages of IM HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-IM

### COMMON-Power ###
%package sub2-Preset_boards-COMMON-Power
Summary:	COMMON_Power (Not Implemented)

%description sub2-Preset_boards-COMMON-Power
Packages for PASS HAL and Feature for COMMON.
%files sub2-Preset_boards-COMMON-Power

### COMMON-UserAwareness ###
%package sub2-Preset_boards-COMMON-UserAwareness
Summary:    COMMON_UserAwareness
Requires:   %{name}-sub2-domain_API-Network-UserAwareness
Requires:   %{name}-sub2-domain_API-Network-WiFi_Manager
Requires:   ua-plugin-wifi-dummy

%description sub2-Preset_boards-COMMON-UserAwareness
Packages of User Awareness and Feature for COMMON
%files sub2-Preset_boards-COMMON-UserAwareness
